Subject: [bug#44077] gnu: poetry: Update to 1.1.4.

From: Tanguy LE CARROUR <[email-masked]>
Date: Mon, 30 Nov 2020 09:27:19 +0100

Hi Marius!

Excerpts from Marius Bakke's message of November 29, 2020 9:06 pm:
> Tanguy LE CARROUR <[email-masked]> skriver:
> 
>> I've tried to modify `python-virtualenv` to make it use our current
>> version of `python-distlib`. Poetry builds, but it does not work
>> properly!
>>
>> ```
>> $ poetry install
>> Creating virtualenv test-4avGy1Vc-py3.8 in /home/tanguy/.cache/pypoetry/virtualenvs
>>
>>   ImportError
>>
>>   cannot import name 'enquote_executable' from 'distlib.scripts'
>>   (/gnu/store/2j3qn0ksry1qarwih9knh1ngr6zm2rci-python-distlib-0.3.0/lib/python3.8/site-packages/distlib/scripts.py)
>> ```
>>
>> So I guess the version of distlib does matter and we cannot do without.
> 
> To get these patches on 'master' without rebuilding the world, you can
> create a new 'python-distlib' like so:
> 
>   ;; TODO: Merge with 'python-distlib' on the next rebuild cycle.
>   (define-public python-distlib/next
>     (package
>       (inherit python-distlib)
>       (version "1.2.3")
>       (source (origin ...))))
> 
> ...and in the packages that require the new version, refer to
> 'python-distlib/next' instead of 'python-distlib'.
> 
> Does that make sense?

Yes, thanks, that's a great solution, indeed!

I'm only concerned about the poor soul who has to remember to get rid of
the `python-distlib/next` and update `python-virtualenv` package
definition. I guess none of this is auto-magic, right?!

Regards

-- 
Tanguy